/**
 * This program simulates a simple calculator. 
 * It enables the user to enter 2 numbers and then choose 
 * one of four arithmetic operations (Addition, Subtraction, Multiplication, Division)
 * The user gets the result and then offered to enter new numbers.
 * The program runs until the user decides to quit.
 */
public class SimpleCalculator {
	public static void main(String[] args) {
		boolean quit= false;

        //program ends when quit is true
		while (!quit) {
			double a;
			double b;
			OutputWindow.clear();
			a = InputRequestor.requestDouble("Please enter first number: " );
			b = InputRequestor.requestDouble("Please enter the second number: " );
			
			//shows the operation codes in an OutputWindow
			OutputWindow.println("Operation's codes:");
	    	OutputWindow.println("1. Addition\n2. Subtraction\n3. Multiplication\n4. Division\n");
	    	int operation = 0;
	    	while(operation < 1 || operation > 4){
	    		operation=InputRequestor.requestInt("Please choose the operation code (see output window):");
	    	}
	    	
	    	//switch on the operation number the user choose
	    	switch(operation) {
				//Addition
	    		case 1: 
					OutputWindow.println("The result is: "+(a+b));
	    			break;
	    		//Subtraction
	    		case 2: 
					OutputWindow.println("The result is: "+(a-b));
	    			break;
	    		//Multiplication
	    		case 3: 
					OutputWindow.println("The result is: "+(a*b));
					break;
				//Division
				case 4:
					OutputWindow.println("The result is: "+(a/b));
					break;
				//Not an operation code
				default:
					OutputWindow.println("Operation not supported");
			}//close switch
			quit=InputRequestor.requestInt("Please press 1 to continue or any other digit to quit.") != 1;
		}//close first while
	}//close main method
}//close SimpleCalculator
